Package com.collibra.dgc.workflow.api.bean

# Interface WorkflowEvent

public interface WorkflowEvent
A bean to provide easy access to event related variables and operations of the running process. Don't use this bean outside of a workflow. This bean will only contain information if the workflow was started on a event. The bean will be accessible by using 'event' in your workflow expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEscalationType()`
  Retrieve the escalation type.
  `UUID`
  `getEventResourceId()`
  Retrieve the resource id causing the event.
  `com.collibra.dgc.core.api.model.ResourceType`
  `getEventResourceType()`
  Retrieve the ResourceType of the resource that caused the event.
  `com.collibra.dgc.core.api.model.workflow.WorkflowStartEventType`
  `getEventType()`
  Retrieve the `WorkflowStartEventType`.
  `String`
  `getTaskCandidateUsers()`
  Returns the candidate users of the current task if any.
  `UUID`
  `getTaskId()`
  Returns the original task id that sent out this event, if any.
  `String`
  `getTaskKey()`
  Returns the original task key that sent out this event, if any.
  `com.collibra.dgc.core.api.model.workflow.WorkflowDefinition`
  `getWorkflowDefinition()`
  Retrieves the workflow definition associated with the event.

- ## Method Details

  - ### getEventType

    com.collibra.dgc.core.api.model.workflow.WorkflowStartEventType getEventType()
    Retrieve the `WorkflowStartEventType`.
    Returns:
      the `WorkflowStartEventType` or `null` if none found

  - ### getEventResourceId

    UUID getEventResourceId()
    Retrieve the resource id causing the event.
    Returns:
      The resource id, `null` if it doesn't exist.

  - ### getEventResourceType

    com.collibra.dgc.core.api.model.ResourceType getEventResourceType()
    Retrieve the ResourceType of the resource that caused the event.
    Returns:
      The ResourceType of the event, `null` if it doesn't exist.

  - ### getEscalationType

    String getEscalationType()
    Retrieve the escalation type.
    Returns:
      The escalation type, `null` if not present

  - ### getTaskId

    UUID getTaskId()
    Returns the original task id that sent out this event, if any.
    Returns:
      The task id causing the event, `null` if not present

  - ### getTaskKey

    String getTaskKey()
    Returns the original task key that sent out this event, if any.
    Returns:
      The task key causing the event, `null` if not present

  - ### getTaskCandidateUsers

    String getTaskCandidateUsers()
    Returns the candidate users of the current task if any.
    Returns:
      The task candidate users, `null` if not present

  - ### getWorkflowDefinition

    com.collibra.dgc.core.api.model.workflow.WorkflowDefinition getWorkflowDefinition()
    Retrieves the workflow definition associated with the event. This property is populated only when the event is triggered by workflow-related actions such as 'Workflow Started', 'Workflow Canceled', 'Workflow Escalation', etc. For other types of events, this field will be set to null.
    Returns:
      the `WorkflowDefinition`, `null` if not present